#include <iostream>
using namespace std;

main()
{
	int N, L, indeks=-1, i;
	
	cin>>N>>L;
	int a[N];
	
	for(i=1;i<=N;i++)
	{
		cin>>a[i];
	}
	for(i=1;i<=N;i++)
	{
		
		if(a[i]<=L)
		{
			indeks=i;
			break;
		}
	}
	cout<<indeks;
}